Public Member Functions | Public Attributes

# GDALOctaveLayer Class Reference

Class for computation and storage of Hessian values in SURF-based algorithm. More...

`#include <gdal_simplesurf.h>`

List of all members.

## Public Member Functions
| GDALOctaveLayer (int nOctave, int nInterval)
| Create instance with provided parameters.
void | ComputeLayer (GDALIntegralImage *poImg)
| Perform calculation of Hessian determinats and their signs for specified integral image.
## Public Attributes
int | octaveNum
| Octave which contains this layer (1,2,3...).
int | filterSize
| Length of the side of filter.
int | radius
| Length of the border.
int | scale
| Scale for this layer.
int | width
| Image width in pixels.
int | height
| Image height in pixels.
double ** | detHessians
| Hessian values for image pixels.
int ** | signs
| Hessian signs for speeded matching.

## Detailed Description

Class for computation and storage of Hessian values in SURF-based algorithm.

Author:
  Andrew Migal migal.drew@gmail.com

SURF-based algorithm normally uses this class for searching feature points on raster images. Class also contains traces of Hessian matrices to provide fast computations.

## Constructor & Destructor Documentation

GDALOctaveLayer::GDALOctaveLayer | ( | int | nOctave,
|  | int | nInterval |
| ) |  |  |

Create instance with provided parameters.

Parameters:

  | nOctave | Number of octave which contains this layer
  | nInterval | Number of position in octave

Note:
  Normally constructor is invoked only by SURF-based algorithm.

## Member Function Documentation

void GDALOctaveLayer::ComputeLayer | ( | GDALIntegralImage * | poImg | ) |

Perform calculation of Hessian determinats and their signs for specified integral image.

Result is stored internally.

Parameters:

  | poImg | Integral image object, which provides all necessary data for computation

Note:
  Normally method is invoked only by SURF-based algorithm.

The documentation for this class was generated from the following files:

- gdal_simplesurf.h
- gdal_octave.cpp

Generated for GDAL by 1.7.1.